class PhoenixVideoHardware : public VideoDevice {

    public:

    PhoenixVideoHardware(Machine *, ScreenOutput *, uint8 *);
    virtual ~PhoenixVideoHardware();

    virtual void setupDisplay(void) = 0;
    void update(void);
    void writeVideoRAM(uint16, uint8);

    void createBanks(void);
    void setScrollReg(const uint8);
    void setVideoReg(const uint8);

    protected:

    void *bank[4][256];
    uint8 *data[256];
    bool dirty1[0x400], dirty2[0x400];
    void *bg, *panel;
    uint8 scroll, palbank;
};
